# Gimp.Drawable.prototype.curves_spline

    function curves_spline(channel: Gimp.HistogramChannel, points: Array(Number(gdouble))): Boolean {
        // Gjs wrapper for gimp_drawable_curves_spline()
    }

Modifies the intensity curve(s) for specified drawable.

Modifies the intensity mapping for one channel in the specified drawable. The channel can be either an intensity component, or the value. The 'points' parameter is an array of doubles which define a set of control points which describe a Catmull Rom spline which yields the final intensity curve. Use the Gimp.Drawable.prototype.curves_explicit function to explicitly modify intensity levels.

Since 2.10

channel

  The channel to modify.

points

  The spline control points: { cp1.x, cp1.y, cp2.x, cp2.y, ... }.

Returns

  TRUE on success.